FixedLatLng (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geometry.FixedLatLng class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.geometry
Class FixedLatLng

    java.lang.Object
      org.apache.lucene.spatial.geometry.LatLng
          org.apache.lucene.spatial.geometry.FixedLatLng

Deprecated.

    @Deprecated
    public class FixedLatLng

extends LatLng

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Field Summary
`static double` | `SCALE_FACTOR` Deprecated.
`static int` | `SCALE_FACTOR_INT` Deprecated.

Constructor Summary
`FixedLatLng(int lat, int lng)` Deprecated.
`FixedLatLng(LatLng ll)` Deprecated.

Method Summary
`LatLng` | `calculateMidpoint(LatLng other)` Deprecated. Calculate the midpoint between this point an another.
`LatLng` | `copy()` Deprecated.
`static int` | `doubleToFixed(double d)` Deprecated.
`boolean` | `equals(Object obj)` Deprecated.
`static double` | `fixedToDouble(int fixed)` Deprecated.
`int` | `getFixedLat()` Deprecated.
`int` | `getFixedLng()` Deprecated.
`double` | `getLat()` Deprecated.
`double` | `getLng()` Deprecated.
`int` | `hashCode()` Deprecated.
`boolean` | `isFixedPoint()` Deprecated.
`boolean` | `isNormalized()` Deprecated.
`LatLng` | `normalize()` Deprecated.
`protected void` | `setLat(int lat)` Deprecated.
`protected void` | `setLng(int lng)` Deprecated.
`FixedLatLng` | `toFixed()` Deprecated.
`FloatLatLng` | `toFloat()` Deprecated.

Methods inherited from class org.apache.lucene.spatial.geometry.LatLng
`arcDistance, arcDistance, fromCartesian, toCartesian, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SCALE_FACTOR

    public static final double SCALE_FACTOR

  Deprecated.
  See Also:
    Constant Field Values

### SCALE_FACTOR_INT

    public static final int SCALE_FACTOR_INT

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### FixedLatLng

    public FixedLatLng(int lat,
                       int lng)

  Deprecated.

### FixedLatLng

    public FixedLatLng(LatLng ll)

  Deprecated.

Method Detail

### setLat

    protected void setLat(int lat)

  Deprecated.

### setLng

    protected void setLng(int lng)

  Deprecated.

### fixedToDouble

    public static double fixedToDouble(int fixed)

  Deprecated.

### doubleToFixed

    public static int doubleToFixed(double d)

  Deprecated.

### copy

    public LatLng copy()

  Deprecated.
  Specified by:
    `copy` in class `LatLng`

### getFixedLat

    public int getFixedLat()

  Deprecated.
  Specified by:
    `getFixedLat` in class `LatLng`

### getFixedLng

    public int getFixedLng()

  Deprecated.
  Specified by:
    `getFixedLng` in class `LatLng`

### getLat

    public double getLat()

  Deprecated.
  Specified by:
    `getLat` in class `LatLng`

### getLng

    public double getLng()

  Deprecated.
  Specified by:
    `getLng` in class `LatLng`

### isFixedPoint

    public boolean isFixedPoint()

  Deprecated.
  Specified by:
    `isFixedPoint` in class `LatLng`

### toFixed

    public FixedLatLng toFixed()

  Deprecated.
  Specified by:
    `toFixed` in class `LatLng`

### toFloat

    public FloatLatLng toFloat()

  Deprecated.
  Specified by:
    `toFloat` in class `LatLng`

### isNormalized

    public boolean isNormalized()

  Deprecated.
  Specified by:
    `isNormalized` in class `LatLng`

### normalize

    public LatLng normalize()

  Deprecated.
  Specified by:
    `normalize` in class `LatLng`

### calculateMidpoint

    public LatLng calculateMidpoint(LatLng other)

  Deprecated.
  Description copied from class: `LatLng`
  Calculate the midpoint between this point an another. Respects fixed vs floating point

  Specified by:
    `calculateMidpoint` in class `LatLng`

### hashCode

    public int hashCode()

  Deprecated.
  Specified by:
    `hashCode` in class `LatLng`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Specified by:
    `equals` in class `LatLng`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD